Available in Classic and VPC
Get the list of results from running a trigger for a month.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| GET | /api/v2/triggers/{triggerName}/activations |
Singapore and Japan Regions are available only in the VPC environment.
Request headers
For information about the headers common to all Cloud Functions APIs, see Cloud Functions request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
triggerName |
String | Required | Trigger name |
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
platform |
String | Optional | Platform type
|
pageSize |
Integer | Optional | Query result page size
|
pageNo |
Integer | Optional | Query result page number
|
start |
String | Optional | Query start time
|
end |
String | Optional | Query end time
|
Request example
The request example is as follows:
curl --location --request GET 'https://cloudfunctions.apigw.ntruss.com/api/v2/triggers/trg1/activations' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Sub Account Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'
Response
This section describes the response format.
Response body
The response body includes the following data:
| Field | Type | Required | Description |
|---|---|---|---|
content |
Object | - | Trigger execution result information |
content.activations |
Array | - | Execution result information: activations |
content.totalCount |
Integer | - | Execution result count |
activations
The following describes activations.
| Field | Type | Required | Description |
|---|---|---|---|
activationId |
String | - | Trigger execution result ID |
duration |
Integer | - | Time taken to execute the trigger (millisecond) |
status |
String | - | Trigger status |
Response status codes
For information about the HTTP status codes common to NAVER Cloud Platform, see Ncloud API response status codes.
Response example
The response example is as follows:
{
"content": {
"activations": [
{
"activationId": "cfdd2254fa9642309d2254fa96f23008",
"duration": 0,
"status": "success"
}
],
"totalCount": 1
}
}